#! /usr/bin/env dcli

import 'dart:io';
import 'package:dcli/dcli.dart';

/// dcli script generated by:
/// dcli create bleed.dart
///
/// See
/// https://pub.dev/packages/dcli#-installing-tab-
///
/// For details on installing dcli.
///

void main(List<String> args) {
  var flag = '';
  if (args.isNotEmpty) {
    flag = args[0].toString();
  }
  try {
    'flatpak update -y'.start(privileged: true);
    'flatpak upgrade -y'.start(privileged: true);
    'apt update -y'.start(privileged: true);
    'apt upgrade -y --allow-downgrades'.start(privileged: true);
    if (flag == '-d' || flag == '--dist') {
      'apt dist-upgrade -y --allow-downgrades'.start(privileged: true);
    }
    'apt autoremove -y'.start(privileged: true);
  } on Exception catch (e) {
    echo(red('Update failed with error: \n $e'));
    exit(1);
  }
  echo(green('Update complete'));
  exit(0);
}
